linux-virtual kernel should include ext2 module

Bug #912308 reported by sseitz on 2012-01-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Andy Whitcroft
Precise
Medium
Andy Whitcroft

Bug Description

The default LVM Layout used by precise installer creates an ext2 /boot Partition. When using the linux-virtual kernel, the system is unable to mount /boot from fstab since there's no ext2 support.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-virtual 3.2.0.7.7
ProcVersionSignature: Ubuntu 3.2.0-7.13-virtual 3.2.0-rc7
Uname: Linux 3.2.0-7-virtual x86_64
AlsaDevices:
 total 0
 crw-rw---T 1 root audio 116, 1 Jan 4 17:30 seq
 crw-rw---T 1 root audio 116, 33 Jan 4 17:30 timer
AplayDevices: Error: [Errno 2] No such file or directory
ApportVersion: 1.90-0ubuntu1
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
CurrentDmesg: [ 24.480171] eth0: no IPv6 routers present
Date: Thu Jan 5 15:41:01 2012
HibernationDevice: RESUME=UUID=4357ad3f-1be0-4501-ac4b-0d7f96de559c
InstallationMedia: Ubuntu-Server 12.04 LTS "Precise Pangolin" - Alpha amd64 (20111129)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 002: ID 80ee:0021 VirtualBox USB Tablet
MachineType: innotek GmbH VirtualBox
PciMultimedia:

ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.2.0-7-virtual root=/dev/mapper/hostname-root ro
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-7-virtual N/A
 linux-backports-modules-3.2.0-7-virtual N/A
 linux-firmware 1.67
RfKill: Error: [Errno 2] No such file or directory
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/01/2006
dmi.bios.vendor: innotek GmbH
dmi.bios.version: VirtualBox
dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:
dmi.product.name: VirtualBox
dmi.product.version: 1.2
dmi.sys.vendor: innotek GmbH

sseitz (s-seitz) wrote :
affects: linux-meta (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
summary: - ext2 boot partition not recognized by linux-virtual
+ linux-virtual kernel should include ext2 module
tags: added: kernel-da-key
Andy Whitcroft (apw) wrote :

Seems that the module is not included in the linux-virtual package. Previously ext2 was builtin so we would not notice the lack of the module. Will fix this up.

Changed in linux (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) on 2012-01-05
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-8.14

---------------
linux (3.2.0-8.14) precise; urgency=low

  [ Andy Whitcroft ]

  * [Config] enable CONFIG_SND_USB_6FIRE
    - LP: #912197
  * rebase to mainline v3.2 final release
  * updateconfigs following rebase to v3.2 final
  * ubuntu: AUFS -- add BOM and automated update script
  * ubuntu: AUFS -- include the aufs_types.h file in linux-libc-headers
    - LP: #684666
  * ubuntu: AUFS -- update aufs-update to track new locations of headers
  * ubuntu: AUFS -- clean up the aufs updater and BOM
  * ubuntu: AUFS -- documentation on updating aufs2
  * ubuntu: AUFS -- aufs3-base.patch
  * ubuntu: AUFS -- aufs3-standalone.patch
  * ubuntu: AUFS -- fix undefined __devcgroup_inode_permission
  * ubuntu: AUFS -- fix undefined security_path_link
  * ubuntu: AUFS -- update to 4cf5db36bcd9748e8e7270022f295f84d1fc2245
  * ubuntu: AUFS -- updateconfigs following update
  * ubuntu: AUFS -- suppress benign plink warning messages
    - LP: #621195
  * ubuntu: AUFS -- enable in config and makefile
  * ubuntu: AUFS -- disable in favor of overlayfs
  * [Config] linux-virtual -- should include the extX modules
    - LP: #912308

  [ Tyler Hicks ]

  * SAUCE: eCryptfs: Improve statfs reporting
    - LP: #885744

  [ Upstream Kernel Changes ]

  * rebase to upstream v3.2
 -- Leann Ogasawara <email address hidden> Mon, 26 Dec 2011 20:24:30 -0800

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers